Flecs: include/flecs/addons/cpp/world.hpp File Reference
Description: A fast entity component system (ECS) for C & C++

| Flecs v4.0 A fast entity component system (ECS) for C & C++

Loading...
Searching...
No Matches
Classes | Functions
world.hpp File Reference

World class. More...

`#include "mixins/id/mixin.inl"`
`#include "mixins/component/mixin.inl"`
`#include "mixins/entity/mixin.inl"`
`#include "mixins/event/mixin.inl"`
`#include "mixins/term/mixin.inl"`
`#include "mixins/observer/mixin.inl"`
`#include "mixins/query/mixin.inl"`
`#include "mixins/enum/mixin.inl"`
`#include "mixins/module/mixin.inl"`
`#include "mixins/pipeline/mixin.inl"`
`#include "mixins/system/mixin.inl"`
`#include "mixins/timer/mixin.inl"`
`#include "mixins/script/mixin.inl"`
`#include "mixins/meta/world.inl"`
`#include "mixins/json/world.inl"`
`#include "mixins/app/mixin.inl"`
`#include "mixins/metrics/mixin.inl"`
`#include "mixins/alerts/mixin.inl"`
Include dependency graph for world.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | flecs::world
| The world. More...
struct | flecs::scoped_world
| Scoped world. More...

## Functions
template<typename T, if_t< is_flecs_constructible< T >::value > = 0>
void | flecs::set (world_t *world, flecs::entity_t entity, T &&value, flecs::id_t id)
template<typename T, if_t< is_flecs_constructible< T >::value > = 0>
void | flecs::set (world_t *world, flecs::entity_t entity, const T &value, flecs::id_t id)
template<typename T, typename ... Args, if_t< std::is_constructible< actual_type_t< T >, Args... >::value||std::is_default_constructible< actual_type_t< T > >::value > = 0>
void | flecs::emplace (world_t *world, flecs::entity_t entity, flecs::id_t id, Args &&... args)
template<typename T, typename A>
void | flecs::set (world_t *world, entity_t entity, A &&value)
template<typename T, typename A>
void | flecs::set (world_t *world, entity_t entity, const A &value)
flecs::id_t | flecs::strip_generation (flecs::entity_t e)
| Return id without generation.
uint32_t | flecs::get_generation (flecs::entity_t e)
| Return entity generation.

## Detailed Description

World class.

Definition in file world.hpp.

## Function Documentation

## ◆ emplace()

template<typename T, typename ... Args, if_t< std::is_constructible< actual_type_t< T >, Args... >::value||std::is_default_constructible< actual_type_t< T > >::value > = 0>

void flecs::emplace | ( | world_t * | world,
|  | flecs::entity_t | entity,
|  | flecs::id_t | id,
|  | Args &&... | args )
| inline

Definition at line 85 of file world.hpp.

## ◆ get_generation()

uint32_t flecs::get_generation | ( | flecs::entity_t | e | ) |
| inline

Return entity generation.

Definition at line 119 of file world.hpp.

## ◆ set() [1/4]

template<typename T, typename A>

void flecs::set | ( | world_t * | world,
|  | entity_t | entity,
|  | A && | value )
| inline

Definition at line 97 of file world.hpp.

## ◆ set() [2/4]

template<typename T, typename A>

void flecs::set | ( | world_t * | world,
|  | entity_t | entity,
|  | const A & | value )
| inline

Definition at line 104 of file world.hpp.

## ◆ set() [3/4]

template<typename T, if_t< is_flecs_constructible< T >::value > = 0>

void flecs::set | ( | world_t * | world,
|  | flecs::entity_t | entity,
|  | const T & | value,
|  | flecs::id_t | id )
| inline

Definition at line 32 of file world.hpp.

## ◆ set() [4/4]

template<typename T, if_t< is_flecs_constructible< T >::value > = 0>

void flecs::set | ( | world_t * | world,
|  | flecs::entity_t | entity,
|  | T && | value,
|  | flecs::id_t | id )
| inline

Definition at line 15 of file world.hpp.

## ◆ strip_generation()

flecs::id_t flecs::strip_generation | ( | flecs::entity_t | e | ) |
| inline

Return id without generation.

See also
  ecs_strip_generation()

Definition at line 113 of file world.hpp.